const Project = require('../models').models.Project;

// GET /project - redirects to project list
exports.getIndex = async function(req, res) {
  res.redirect('/project/list');
};

// GET /project/list - list of projects
exports.getList = async function(req, res) {
  var projects = await Project.findAll();
  res.render('project/list', {
    projects: projects
  });
};

// GET /project/add - add a new project
exports.getAdd = async function(req, res) {
  res.render('project/add');
};

// POST /project/add - add the project to the database
exports.postAdd = async function(req, res) {
  var project = await Project.create({
    title: req.body.project_title,
    description: req.body.project_description
  });

  res.redirect('/project');
};
